package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * pcs设备告警故障数据对象 ems_pcs_alarm_data
 *
 * @author xzzn
 * @date 2025-10-22
 */
public class EmsPcsAlarmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 记录唯一ID */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date dataTimestamp;

    /** 站点ID */
    @Excel(name = "站点ID")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    /** 故障标志（0-正常，1-故障） */
    @Excel(name = "故障标志", readConverterExp = "0=-正常，1-故障")
    private Integer gzbz;

    /** 绝缘阻抗异常（0-正常，1-异常） */
    @Excel(name = "绝缘阻抗异常", readConverterExp = "0=-正常，1-异常")
    private Integer jyzkyc;

    /** 交流漏电流异常（0-正常，1-异常） */
    @Excel(name = "交流漏电流异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlllyc;

    /** 直流过压（0-正常，1-异常） */
    @Excel(name = "直流过压", readConverterExp = "0=-正常，1-异常")
    private Integer zlgv;

    /** 电网过压异常（0-正常，1-异常） */
    @Excel(name = "电网过压异常", readConverterExp = "0=-正常，1-异常")
    private Integer dwgyyc;

    /** 电网欠压异常（0-正常，1-异常） */
    @Excel(name = "电网欠压异常", readConverterExp = "0=-正常，1-异常")
    private Integer dwqyyc;

    /** 电网过频异常（0-正常，1-异常） */
    @Excel(name = "电网过频异常", readConverterExp = "0=-正常，1-异常")
    private Integer dwgpyc;

    /** 电网欠频异常（0-正常，1-异常） */
    @Excel(name = "电网欠频异常", readConverterExp = "0=-正常，1-异常")
    private Integer dwqpyc;

    /** 功率模块过温（0-正常，1-异常） */
    @Excel(name = "功率模块过温", readConverterExp = "0=-正常，1-异常")
    private Integer glmkgw;

    /** 电网相序异常（0-正常，1-异常） */
    @Excel(name = "电网相序异常", readConverterExp = "0=-正常，1-异常")
    private Integer dwxxyc;

    /** 逆变软件过流（0-正常，1-异常） */
    @Excel(name = "逆变软件过流", readConverterExp = "0=-正常，1-异常")
    private Integer nbrjgl;

    /** 直流软启动异常（0-正常，1-异常） */
    @Excel(name = "直流软启动异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlrqdyc;

    /** 直流开关异常（0-正常，1-异常） */
    @Excel(name = "直流开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlkgwc;

    /** 交流风机异常（0-正常，1-异常） */
    @Excel(name = "交流风机异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlfjyc;

    /** 交流开关异常（0-正常，1-异常） */
    @Excel(name = "交流开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlkgwc;

    /** 温度开关异常（0-正常，1-异常） */
    @Excel(name = "温度开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer wdkgwc;

    /** 内部异常（0-正常，1-异常） */
    @Excel(name = "内部异常", readConverterExp = "0=-正常，1-异常")
    private Integer nbyc;

    /** 机内过温（0-正常，1-异常） */
    @Excel(name = "机内过温", readConverterExp = "0=-正常，1-异常")
    private Integer jngw;

    /** 交流软启动异常（0-正常，1-异常） */
    @Excel(name = "交流软启动异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlrqdyc;

    /** 热交换机异常（0-正常，1-异常） */
    @Excel(name = "热交换机异常", readConverterExp = "0=-正常，1-异常")
    private Integer rjhjyc;

    /** 交流防雷器异常（0-正常，1-异常） */
    @Excel(name = "交流防雷器异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlflqyc;

    /** 内部急停（0-正常，1-触发） */
    @Excel(name = "内部急停", readConverterExp = "0=-正常，1-触发")
    private Integer nbjt;

    /** 外部急停（0-正常，1-触发） */
    @Excel(name = "外部急停", readConverterExp = "0=-正常，1-触发")
    private Integer wbjt;

    /** 母线电压不符合开机条件（0-符合，1-不符合） */
    @Excel(name = "母线电压不符合开机条件", readConverterExp = "0=-符合，1-不符合")
    private Integer mxdbyfhkjtj;

    /** 母线电流过流（0-正常，1-过流） */
    @Excel(name = "母线电流过流", readConverterExp = "0=-正常，1-过流")
    private Integer mxdlgl;

    /** 零偏校准异常（0-正常，1-异常） */
    @Excel(name = "零偏校准异常", readConverterExp = "0=-正常，1-异常")
    private Integer lpjzyc;

    /** 门禁告警（0-正常，1-告警） */
    @Excel(name = "门禁告警", readConverterExp = "0=-正常，1-告警")
    private Integer mjgj;

    /** 锁相异常（0-正常，1-异常） */
    @Excel(name = "锁相异常", readConverterExp = "0=-正常，1-异常")
    private Integer sxyc;

    /** 直流防雷器异常（0-正常，1-异常） */
    @Excel(name = "直流防雷器异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlflqyc;

    /** 智能电表通信异常（0-正常，1-异常） */
    @Excel(name = "智能电表通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer zndbtxyc;

    /** 逆变硬件过流（0-正常，1-过流） */
    @Excel(name = "逆变硬件过流", readConverterExp = "0=-正常，1-过流")
    private Integer nbyjgl;

    /** 驱动异常（0-正常，1-异常） */
    @Excel(name = "驱动异常", readConverterExp = "0=-正常，1-异常")
    private Integer qdyc;

    /** ID冲突（0-正常，1-冲突） */
    @Excel(name = "ID冲突", readConverterExp = "0=-正常，1-冲突")
    private Integer idct;

    /** 信息共享CAN通信异常（0-正常，1-异常） */
    @Excel(name = "信息共享CAN通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer xxgxctxvc;

    /** 并机通信线异常（0-正常，1-异常） */
    @Excel(name = "并机通信线异常", readConverterExp = "0=-正常，1-异常")
    private Integer bjtxxyc;

    /** 同步CAN通信异常（0-正常，1-异常） */
    @Excel(name = "同步CAN通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer tbctxvc;

    /** 直流电弧异常（0-正常，1-异常） */
    @Excel(name = "直流电弧异常", readConverterExp = "0=-正常，1-异常")
    private Integer zldhyc;

    /** 零序过流（0-正常，1-过流） */
    @Excel(name = "零序过流", readConverterExp = "0=-正常，1-过流")
    private Integer lxgl;

    /** 直流主接触器异常（0-正常，1-异常） */
    @Excel(name = "直流主接触器异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlzjcqyc;

    /** 烟雾告警（0-正常，1-告警） */
    @Excel(name = "烟雾告警", readConverterExp = "0=-正常，1-告警")
    private Integer ywgj;

    /** 并机通信异常（0-正常，1-异常） */
    @Excel(name = "并机通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer bjtxyc;

    /** HMI CAN通信异常（0-正常，1-异常） */
    @Excel(name = "HMI CAN通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer hmictxyc;

    /** 机型设置错误（0-正确，1-错误） */
    @Excel(name = "机型设置错误", readConverterExp = "0=-正确，1-错误")
    private Integer jxszcw;

    /** HMI 485通信异常（0-正常，1-异常） */
    @Excel(name = "HMI 485通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer hmi485txyc;

    /** 远程通信异常（0-正常，1-异常） */
    @Excel(name = "远程通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer yctxyc;

    /** 故障总（0-无故障，1-有故障） */
    @Excel(name = "故障总", readConverterExp = "0=-无故障，1-有故障")
    private Integer gzz;

    /** 告警总（0-无告警，1-有告警） */
    @Excel(name = "告警总", readConverterExp = "0=-无告警，1-有告警")
    private Integer gjz;

    /** 直流并联模式设置错误（0-正确，1-错误） */
    @Excel(name = "直流并联模式设置错误", readConverterExp = "0=-正确，1-错误")
    private Integer zlblmsszcw;

    /** 系统参数不匹配（0-匹配，1-不匹配） */
    @Excel(name = "系统参数不匹配", readConverterExp = "0=-匹配，1-不匹配")
    private Integer xtcsbpp;

    /** 电网电压不平衡告警（0-正常，1-告警） */
    @Excel(name = "电网电压不平衡告警", readConverterExp = "0=-正常，1-告警")
    private Integer dwdybphgj;

    /** 低电压穿越运行（0-未运行，1-运行中） */
    @Excel(name = "低电压穿越运行", readConverterExp = "0=-未运行，1-运行中")
    private Integer ddycyyx;

    /** 高电压穿越运行（0-未运行，1-运行中） */
    @Excel(name = "高电压穿越运行", readConverterExp = "0=-未运行，1-运行中")
    private Integer gdycyyx;

    /** 直流风机异常（0-正常，1-异常） */
    @Excel(name = "直流风机异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlfjyc;

    /** 散热器温度开关异常（0-正常，1-异常） */
    @Excel(name = "散热器温度开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer srqwdkgwc;

    /** 外部温度开关异常（0-正常，1-异常） */
    @Excel(name = "外部温度开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer wbwdkgwc;

    /** 辅源变压器温度开关异常（0-正常，1-异常） */
    @Excel(name = "辅源变压器温度开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer fybyqwdkgwc;

    /** 电感温度开关异常（0-正常，1-异常） */
    @Excel(name = "电感温度开关异常", readConverterExp = "0=-正常，1-异常")
    private Integer dgwdkgwc;

    /** 正极接地异常（0-正常，1-异常） */
    @Excel(name = "正极接地异常", readConverterExp = "0=-正常，1-异常")
    private Integer zjjdvc;

    /** 负极接地异常（0-正常，1-异常） */
    @Excel(name = "负极接地异常", readConverterExp = "0=-正常，1-异常")
    private Integer fjjdvc;

    /** 交流接地异常（0-正常，1-异常） */
    @Excel(name = "交流接地异常", readConverterExp = "0=-正常，1-异常")
    private Integer jljdvc;

    /** 并网接地异常（0-正常，1-异常） */
    @Excel(name = "并网接地异常", readConverterExp = "0=-正常，1-异常")
    private Integer bwjdvc;

    /** BMS急停（0-正常，1-触发） */
    @Excel(name = "BMS急停", readConverterExp = "0=-正常，1-触发")
    private Integer bmsjt;

    /** 空空换热器异常（0-正常，1-异常） */
    @Excel(name = "空空换热器异常", readConverterExp = "0=-正常，1-异常")
    private Integer kkhrqyc;

    /** 电网过欠频待机告警（0-正常，1-告警） */
    @Excel(name = "电网过欠频待机告警", readConverterExp = "0=-正常，1-告警")
    private Integer dwgqpdjgj;

    /** 功率模块过温告警（0-正常，1-告警） */
    @Excel(name = "功率模块过温告警", readConverterExp = "0=-正常，1-告警")
    private Integer glmkgwgJ;

    /** 电池过压（0-正常，1-过压） */
    @Excel(name = "电池过压", readConverterExp = "0=-正常，1-过压")
    private Integer dcgy;

    /** 电池轻载欠压（0-正常，1-欠压） */
    @Excel(name = "电池轻载欠压", readConverterExp = "0=-正常，1-欠压")
    private Integer dcqzqy;

    /** 直流过流（0-正常，1-过流） */
    @Excel(name = "直流过流", readConverterExp = "0=-正常，1-过流")
    private Integer zlgl;

    /** 输出电压异常（0-正常，1-异常） */
    @Excel(name = "输出电压异常", readConverterExp = "0=-正常，1-异常")
    private Integer scdyyc;

    /** 输出电压不符合离网条件（0-符合，1-不符合） */
    @Excel(name = "输出电压不符合离网条件", readConverterExp = "0=-符合，1-不符合")
    private Integer scdybfhlwtj;

    /** 过载保护（0-未触发，1-已触发） */
    @Excel(name = "过载保护", readConverterExp = "0=-未触发，1-已触发")
    private Integer gzbh;

    /** 短路保护（0-未触发，1-已触发） */
    @Excel(name = "短路保护", readConverterExp = "0=-未触发，1-已触发")
    private Integer dlbh;

    /** 内部风机异常（0-正常，1-异常） */
    @Excel(name = "内部风机异常", readConverterExp = "0=-正常，1-异常")
    private Integer nbfjyc;

    /** 直流保险丝异常（0-正常，1-异常） */
    @Excel(name = "直流保险丝异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlbxsyc;

    /** 电池重载欠压（0-正常，1-欠压） */
    @Excel(name = "电池重载欠压", readConverterExp = "0=-正常，1-欠压")
    private Integer dczzqy;

    /** 电池低压告警（0-正常，1-告警） */
    @Excel(name = "电池低压告警", readConverterExp = "0=-正常，1-告警")
    private Integer dcdygj;

    /** 外部风机异常（0-正常，1-异常） */
    @Excel(name = "外部风机异常", readConverterExp = "0=-正常，1-异常")
    private Integer wbfjyc;

    /** 电池反接（0-正常，1-反接） */
    @Excel(name = "电池反接", readConverterExp = "0=-正常，1-反接")
    private Integer dcfj;

    /** 电池电压不符合充电条件（0-符合，1-不符合） */
    @Excel(name = "电池电压不符合充电条件", readConverterExp = "0=-符合，1-不符合")
    private Integer dcdybfhcdtj;

    /** 过载告警（0-正常，1-告警） */
    @Excel(name = "过载告警", readConverterExp = "0=-正常，1-告警")
    private Integer gzgJ;

    /** 直流电弧模块通信异常（0-正常，1-异常） */
    @Excel(name = "直流电弧模块通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer zldhmktxyc;

    /** BMS系统故障（0-正常，1-故障） */
    @Excel(name = "BMS系统故障", readConverterExp = "0=-正常，1-故障")
    private Integer bmsxtgz;

    /** BMS通信异常（0-正常，1-异常） */
    @Excel(name = "BMS通信异常", readConverterExp = "0=-正常，1-异常")
    private Integer bmstxyc;

    /** BMS干接点异常（0-正常，1-异常） */
    @Excel(name = "BMS干接点异常", readConverterExp = "0=-正常，1-异常")
    private Integer bmsgjdyc;

    /** BMS禁充（0-允许，1-禁止） */
    @Excel(name = "BMS禁充", readConverterExp = "0=-允许，1-禁止")
    private Integer bmsjc;

    /** BMS禁放（0-允许，1-禁止） */
    @Excel(name = "BMS禁放", readConverterExp = "0=-允许，1-禁止")
    private Integer bmsjf;

    /** BMS待机（0-运行，1-待机） */
    @Excel(name = "BMS待机", readConverterExp = "0=-运行，1-待机")
    private Integer bmsdj;

    /** BMS告警（0-正常，1-告警） */
    @Excel(name = "BMS告警", readConverterExp = "0=-正常，1-告警")
    private Integer bmsgj;

    /** 电感风机异常（0-正常，1-异常） */
    @Excel(name = "电感风机异常", readConverterExp = "0=-正常，1-异常")
    private Integer dgfjyc;

    /** 散热器过温告警（0-正常，1-告警） */
    @Excel(name = "散热器过温告警", readConverterExp = "0=-正常，1-告警")
    private Integer srqgwgj;

    /** 故障总2（0-无故障，1-有故障） */
    @Excel(name = "故障总2", readConverterExp = "0=-无故障，1-有故障")
    private Integer gzz2;

    /** 告警总2（0-无告警，1-有告警） */
    @Excel(name = "告警总2", readConverterExp = "0=-无告警，1-有告警")
    private Integer gjz2;

    /** 交流风机寿命异常（0-正常，1-异常） */
    @Excel(name = "交流风机寿命异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlfjsmyc;

    /** 直流风机寿命异常（0-正常，1-异常） */
    @Excel(name = "直流风机寿命异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlfjsmyc;

    /** 交流开关寿命异常（0-正常，1-异常） */
    @Excel(name = "交流开关寿命异常", readConverterExp = "0=-正常，1-异常")
    private Integer jlkgSmyc;

    /** 直流开关寿命异常（0-正常，1-异常） */
    @Excel(name = "直流开关寿命异常", readConverterExp = "0=-正常，1-异常")
    private Integer zlkgSmyc;

    /** 液冷机组异常（0-正常，1-异常） */
    @Excel(name = "液冷机组异常", readConverterExp = "0=-正常，1-异常")
    private Integer yljzyc;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataTimestamp(Date dataTimestamp)
    {
        this.dataTimestamp = dataTimestamp;
    }

    public Date getDataTimestamp()
    {
        return dataTimestamp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setGzbz(Integer gzbz)
    {
        this.gzbz = gzbz;
    }

    public Integer getGzbz()
    {
        return gzbz;
    }

    public void setJyzkyc(Integer jyzkyc)
    {
        this.jyzkyc = jyzkyc;
    }

    public Integer getJyzkyc()
    {
        return jyzkyc;
    }

    public void setJlllyc(Integer jlllyc)
    {
        this.jlllyc = jlllyc;
    }

    public Integer getJlllyc()
    {
        return jlllyc;
    }

    public void setZlgv(Integer zlgv)
    {
        this.zlgv = zlgv;
    }

    public Integer getZlgv()
    {
        return zlgv;
    }

    public void setDwgyyc(Integer dwgyyc)
    {
        this.dwgyyc = dwgyyc;
    }

    public Integer getDwgyyc()
    {
        return dwgyyc;
    }

    public void setDwqyyc(Integer dwqyyc)
    {
        this.dwqyyc = dwqyyc;
    }

    public Integer getDwqyyc()
    {
        return dwqyyc;
    }

    public void setDwgpyc(Integer dwgpyc)
    {
        this.dwgpyc = dwgpyc;
    }

    public Integer getDwgpyc()
    {
        return dwgpyc;
    }

    public void setDwqpyc(Integer dwqpyc)
    {
        this.dwqpyc = dwqpyc;
    }

    public Integer getDwqpyc()
    {
        return dwqpyc;
    }

    public void setGlmkgw(Integer glmkgw)
    {
        this.glmkgw = glmkgw;
    }

    public Integer getGlmkgw()
    {
        return glmkgw;
    }

    public void setDwxxyc(Integer dwxxyc)
    {
        this.dwxxyc = dwxxyc;
    }

    public Integer getDwxxyc()
    {
        return dwxxyc;
    }

    public void setNbrjgl(Integer nbrjgl)
    {
        this.nbrjgl = nbrjgl;
    }

    public Integer getNbrjgl()
    {
        return nbrjgl;
    }

    public void setZlrqdyc(Integer zlrqdyc)
    {
        this.zlrqdyc = zlrqdyc;
    }

    public Integer getZlrqdyc()
    {
        return zlrqdyc;
    }

    public void setZlkgwc(Integer zlkgwc)
    {
        this.zlkgwc = zlkgwc;
    }

    public Integer getZlkgwc()
    {
        return zlkgwc;
    }

    public void setJlfjyc(Integer jlfjyc)
    {
        this.jlfjyc = jlfjyc;
    }

    public Integer getJlfjyc()
    {
        return jlfjyc;
    }

    public void setJlkgwc(Integer jlkgwc)
    {
        this.jlkgwc = jlkgwc;
    }

    public Integer getJlkgwc()
    {
        return jlkgwc;
    }

    public void setWdkgwc(Integer wdkgwc)
    {
        this.wdkgwc = wdkgwc;
    }

    public Integer getWdkgwc()
    {
        return wdkgwc;
    }

    public void setNbyc(Integer nbyc)
    {
        this.nbyc = nbyc;
    }

    public Integer getNbyc()
    {
        return nbyc;
    }

    public void setJngw(Integer jngw)
    {
        this.jngw = jngw;
    }

    public Integer getJngw()
    {
        return jngw;
    }

    public void setJlrqdyc(Integer jlrqdyc)
    {
        this.jlrqdyc = jlrqdyc;
    }

    public Integer getJlrqdyc()
    {
        return jlrqdyc;
    }

    public void setRjhjyc(Integer rjhjyc)
    {
        this.rjhjyc = rjhjyc;
    }

    public Integer getRjhjyc()
    {
        return rjhjyc;
    }

    public void setJlflqyc(Integer jlflqyc)
    {
        this.jlflqyc = jlflqyc;
    }

    public Integer getJlflqyc()
    {
        return jlflqyc;
    }

    public void setNbjt(Integer nbjt)
    {
        this.nbjt = nbjt;
    }

    public Integer getNbjt()
    {
        return nbjt;
    }

    public void setWbjt(Integer wbjt)
    {
        this.wbjt = wbjt;
    }

    public Integer getWbjt()
    {
        return wbjt;
    }

    public void setMxdbyfhkjtj(Integer mxdbyfhkjtj)
    {
        this.mxdbyfhkjtj = mxdbyfhkjtj;
    }

    public Integer getMxdbyfhkjtj()
    {
        return mxdbyfhkjtj;
    }

    public void setMxdlgl(Integer mxdlgl)
    {
        this.mxdlgl = mxdlgl;
    }

    public Integer getMxdlgl()
    {
        return mxdlgl;
    }

    public void setLpjzyc(Integer lpjzyc)
    {
        this.lpjzyc = lpjzyc;
    }

    public Integer getLpjzyc()
    {
        return lpjzyc;
    }

    public void setMjgj(Integer mjgj)
    {
        this.mjgj = mjgj;
    }

    public Integer getMjgj()
    {
        return mjgj;
    }

    public void setSxyc(Integer sxyc)
    {
        this.sxyc = sxyc;
    }

    public Integer getSxyc()
    {
        return sxyc;
    }

    public void setZlflqyc(Integer zlflqyc)
    {
        this.zlflqyc = zlflqyc;
    }

    public Integer getZlflqyc()
    {
        return zlflqyc;
    }

    public void setZndbtxyc(Integer zndbtxyc)
    {
        this.zndbtxyc = zndbtxyc;
    }

    public Integer getZndbtxyc()
    {
        return zndbtxyc;
    }

    public void setNbyjgl(Integer nbyjgl)
    {
        this.nbyjgl = nbyjgl;
    }

    public Integer getNbyjgl()
    {
        return nbyjgl;
    }

    public void setQdyc(Integer qdyc)
    {
        this.qdyc = qdyc;
    }

    public Integer getQdyc()
    {
        return qdyc;
    }

    public void setIdct(Integer idct)
    {
        this.idct = idct;
    }

    public Integer getIdct()
    {
        return idct;
    }

    public void setXxgxctxvc(Integer xxgxctxvc)
    {
        this.xxgxctxvc = xxgxctxvc;
    }

    public Integer getXxgxctxvc()
    {
        return xxgxctxvc;
    }

    public void setBjtxxyc(Integer bjtxxyc)
    {
        this.bjtxxyc = bjtxxyc;
    }

    public Integer getBjtxxyc()
    {
        return bjtxxyc;
    }

    public void setTbctxvc(Integer tbctxvc)
    {
        this.tbctxvc = tbctxvc;
    }

    public Integer getTbctxvc()
    {
        return tbctxvc;
    }

    public void setZldhyc(Integer zldhyc)
    {
        this.zldhyc = zldhyc;
    }

    public Integer getZldhyc()
    {
        return zldhyc;
    }

    public void setLxgl(Integer lxgl)
    {
        this.lxgl = lxgl;
    }

    public Integer getLxgl()
    {
        return lxgl;
    }

    public void setZlzjcqyc(Integer zlzjcqyc)
    {
        this.zlzjcqyc = zlzjcqyc;
    }

    public Integer getZlzjcqyc()
    {
        return zlzjcqyc;
    }

    public void setYwgj(Integer ywgj)
    {
        this.ywgj = ywgj;
    }

    public Integer getYwgj()
    {
        return ywgj;
    }

    public void setBjtxyc(Integer bjtxyc)
    {
        this.bjtxyc = bjtxyc;
    }

    public Integer getBjtxyc()
    {
        return bjtxyc;
    }

    public void setHmictxyc(Integer hmictxyc)
    {
        this.hmictxyc = hmictxyc;
    }

    public Integer getHmictxyc()
    {
        return hmictxyc;
    }

    public void setJxszcw(Integer jxszcw)
    {
        this.jxszcw = jxszcw;
    }

    public Integer getJxszcw()
    {
        return jxszcw;
    }

    public void setHmi485txyc(Integer hmi485txyc)
    {
        this.hmi485txyc = hmi485txyc;
    }

    public Integer getHmi485txyc()
    {
        return hmi485txyc;
    }

    public void setYctxyc(Integer yctxyc)
    {
        this.yctxyc = yctxyc;
    }

    public Integer getYctxyc()
    {
        return yctxyc;
    }

    public void setGzz(Integer gzz)
    {
        this.gzz = gzz;
    }

    public Integer getGzz()
    {
        return gzz;
    }

    public void setGjz(Integer gjz)
    {
        this.gjz = gjz;
    }

    public Integer getGjz()
    {
        return gjz;
    }

    public void setZlblmsszcw(Integer zlblmsszcw)
    {
        this.zlblmsszcw = zlblmsszcw;
    }

    public Integer getZlblmsszcw()
    {
        return zlblmsszcw;
    }

    public void setXtcsbpp(Integer xtcsbpp)
    {
        this.xtcsbpp = xtcsbpp;
    }

    public Integer getXtcsbpp()
    {
        return xtcsbpp;
    }

    public void setDwdybphgj(Integer dwdybphgj)
    {
        this.dwdybphgj = dwdybphgj;
    }

    public Integer getDwdybphgj()
    {
        return dwdybphgj;
    }

    public void setDdycyyx(Integer ddycyyx)
    {
        this.ddycyyx = ddycyyx;
    }

    public Integer getDdycyyx()
    {
        return ddycyyx;
    }

    public void setGdycyyx(Integer gdycyyx)
    {
        this.gdycyyx = gdycyyx;
    }

    public Integer getGdycyyx()
    {
        return gdycyyx;
    }

    public void setZlfjyc(Integer zlfjyc)
    {
        this.zlfjyc = zlfjyc;
    }

    public Integer getZlfjyc()
    {
        return zlfjyc;
    }

    public void setSrqwdkgwc(Integer srqwdkgwc)
    {
        this.srqwdkgwc = srqwdkgwc;
    }

    public Integer getSrqwdkgwc()
    {
        return srqwdkgwc;
    }

    public void setWbwdkgwc(Integer wbwdkgwc)
    {
        this.wbwdkgwc = wbwdkgwc;
    }

    public Integer getWbwdkgwc()
    {
        return wbwdkgwc;
    }

    public void setFybyqwdkgwc(Integer fybyqwdkgwc)
    {
        this.fybyqwdkgwc = fybyqwdkgwc;
    }

    public Integer getFybyqwdkgwc()
    {
        return fybyqwdkgwc;
    }

    public void setDgwdkgwc(Integer dgwdkgwc)
    {
        this.dgwdkgwc = dgwdkgwc;
    }

    public Integer getDgwdkgwc()
    {
        return dgwdkgwc;
    }

    public void setZjjdvc(Integer zjjdvc)
    {
        this.zjjdvc = zjjdvc;
    }

    public Integer getZjjdvc()
    {
        return zjjdvc;
    }

    public void setFjjdvc(Integer fjjdvc)
    {
        this.fjjdvc = fjjdvc;
    }

    public Integer getFjjdvc()
    {
        return fjjdvc;
    }

    public void setJljdvc(Integer jljdvc)
    {
        this.jljdvc = jljdvc;
    }

    public Integer getJljdvc()
    {
        return jljdvc;
    }

    public void setBwjdvc(Integer bwjdvc)
    {
        this.bwjdvc = bwjdvc;
    }

    public Integer getBwjdvc()
    {
        return bwjdvc;
    }

    public void setBmsjt(Integer bmsjt)
    {
        this.bmsjt = bmsjt;
    }

    public Integer getBmsjt()
    {
        return bmsjt;
    }

    public void setKkhrqyc(Integer kkhrqyc)
    {
        this.kkhrqyc = kkhrqyc;
    }

    public Integer getKkhrqyc()
    {
        return kkhrqyc;
    }

    public void setDwgqpdjgj(Integer dwgqpdjgj)
    {
        this.dwgqpdjgj = dwgqpdjgj;
    }

    public Integer getDwgqpdjgj()
    {
        return dwgqpdjgj;
    }

    public void setGlmkgwgJ(Integer glmkgwgJ)
    {
        this.glmkgwgJ = glmkgwgJ;
    }

    public Integer getGlmkgwgJ()
    {
        return glmkgwgJ;
    }

    public void setDcgy(Integer dcgy)
    {
        this.dcgy = dcgy;
    }

    public Integer getDcgy()
    {
        return dcgy;
    }

    public void setDcqzqy(Integer dcqzqy)
    {
        this.dcqzqy = dcqzqy;
    }

    public Integer getDcqzqy()
    {
        return dcqzqy;
    }

    public void setZlgl(Integer zlgl)
    {
        this.zlgl = zlgl;
    }

    public Integer getZlgl()
    {
        return zlgl;
    }

    public void setScdyyc(Integer scdyyc)
    {
        this.scdyyc = scdyyc;
    }

    public Integer getScdyyc()
    {
        return scdyyc;
    }

    public void setScdybfhlwtj(Integer scdybfhlwtj)
    {
        this.scdybfhlwtj = scdybfhlwtj;
    }

    public Integer getScdybfhlwtj()
    {
        return scdybfhlwtj;
    }

    public void setGzbh(Integer gzbh)
    {
        this.gzbh = gzbh;
    }

    public Integer getGzbh()
    {
        return gzbh;
    }

    public void setDlbh(Integer dlbh)
    {
        this.dlbh = dlbh;
    }

    public Integer getDlbh()
    {
        return dlbh;
    }

    public void setNbfjyc(Integer nbfjyc)
    {
        this.nbfjyc = nbfjyc;
    }

    public Integer getNbfjyc()
    {
        return nbfjyc;
    }

    public void setZlbxsyc(Integer zlbxsyc)
    {
        this.zlbxsyc = zlbxsyc;
    }

    public Integer getZlbxsyc()
    {
        return zlbxsyc;
    }

    public void setDczzqy(Integer dczzqy)
    {
        this.dczzqy = dczzqy;
    }

    public Integer getDczzqy()
    {
        return dczzqy;
    }

    public void setDcdygj(Integer dcdygj)
    {
        this.dcdygj = dcdygj;
    }

    public Integer getDcdygj()
    {
        return dcdygj;
    }

    public void setWbfjyc(Integer wbfjyc)
    {
        this.wbfjyc = wbfjyc;
    }

    public Integer getWbfjyc()
    {
        return wbfjyc;
    }

    public void setDcfj(Integer dcfj)
    {
        this.dcfj = dcfj;
    }

    public Integer getDcfj()
    {
        return dcfj;
    }

    public void setDcdybfhcdtj(Integer dcdybfhcdtj)
    {
        this.dcdybfhcdtj = dcdybfhcdtj;
    }

    public Integer getDcdybfhcdtj()
    {
        return dcdybfhcdtj;
    }

    public void setGzgJ(Integer gzgJ)
    {
        this.gzgJ = gzgJ;
    }

    public Integer getGzgJ()
    {
        return gzgJ;
    }

    public void setZldhmktxyc(Integer zldhmktxyc)
    {
        this.zldhmktxyc = zldhmktxyc;
    }

    public Integer getZldhmktxyc()
    {
        return zldhmktxyc;
    }

    public void setBmsxtgz(Integer bmsxtgz)
    {
        this.bmsxtgz = bmsxtgz;
    }

    public Integer getBmsxtgz()
    {
        return bmsxtgz;
    }

    public void setBmstxyc(Integer bmstxyc)
    {
        this.bmstxyc = bmstxyc;
    }

    public Integer getBmstxyc()
    {
        return bmstxyc;
    }

    public void setBmsgjdyc(Integer bmsgjdyc)
    {
        this.bmsgjdyc = bmsgjdyc;
    }

    public Integer getBmsgjdyc()
    {
        return bmsgjdyc;
    }

    public void setBmsjc(Integer bmsjc)
    {
        this.bmsjc = bmsjc;
    }

    public Integer getBmsjc()
    {
        return bmsjc;
    }

    public void setBmsjf(Integer bmsjf)
    {
        this.bmsjf = bmsjf;
    }

    public Integer getBmsjf()
    {
        return bmsjf;
    }

    public void setBmsdj(Integer bmsdj)
    {
        this.bmsdj = bmsdj;
    }

    public Integer getBmsdj()
    {
        return bmsdj;
    }

    public void setBmsgj(Integer bmsgj)
    {
        this.bmsgj = bmsgj;
    }

    public Integer getBmsgj()
    {
        return bmsgj;
    }

    public void setDgfjyc(Integer dgfjyc)
    {
        this.dgfjyc = dgfjyc;
    }

    public Integer getDgfjyc()
    {
        return dgfjyc;
    }

    public void setSrqgwgj(Integer srqgwgj)
    {
        this.srqgwgj = srqgwgj;
    }

    public Integer getSrqgwgj()
    {
        return srqgwgj;
    }

    public void setGzz2(Integer gzz2)
    {
        this.gzz2 = gzz2;
    }

    public Integer getGzz2()
    {
        return gzz2;
    }

    public void setGjz2(Integer gjz2)
    {
        this.gjz2 = gjz2;
    }

    public Integer getGjz2()
    {
        return gjz2;
    }

    public void setJlfjsmyc(Integer jlfjsmyc)
    {
        this.jlfjsmyc = jlfjsmyc;
    }

    public Integer getJlfjsmyc()
    {
        return jlfjsmyc;
    }

    public void setZlfjsmyc(Integer zlfjsmyc)
    {
        this.zlfjsmyc = zlfjsmyc;
    }

    public Integer getZlfjsmyc()
    {
        return zlfjsmyc;
    }

    public void setJlkgSmyc(Integer jlkgSmyc)
    {
        this.jlkgSmyc = jlkgSmyc;
    }

    public Integer getJlkgSmyc()
    {
        return jlkgSmyc;
    }

    public void setZlkgSmyc(Integer zlkgSmyc)
    {
        this.zlkgSmyc = zlkgSmyc;
    }

    public Integer getZlkgSmyc()
    {
        return zlkgSmyc;
    }

    public void setYljzyc(Integer yljzyc)
    {
        this.yljzyc = yljzyc;
    }

    public Integer getYljzyc()
    {
        return yljzyc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataTimestamp", getDataTimestamp())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("gzbz", getGzbz())
                .append("jyzkyc", getJyzkyc())
                .append("jlllyc", getJlllyc())
                .append("zlgv", getZlgv())
                .append("dwgyyc", getDwgyyc())
                .append("dwqyyc", getDwqyyc())
                .append("dwgpyc", getDwgpyc())
                .append("dwqpyc", getDwqpyc())
                .append("glmkgw", getGlmkgw())
                .append("dwxxyc", getDwxxyc())
                .append("nbrjgl", getNbrjgl())
                .append("zlrqdyc", getZlrqdyc())
                .append("zlkgwc", getZlkgwc())
                .append("jlfjyc", getJlfjyc())
                .append("jlkgwc", getJlkgwc())
                .append("wdkgwc", getWdkgwc())
                .append("nbyc", getNbyc())
                .append("jngw", getJngw())
                .append("jlrqdyc", getJlrqdyc())
                .append("rjhjyc", getRjhjyc())
                .append("jlflqyc", getJlflqyc())
                .append("nbjt", getNbjt())
                .append("wbjt", getWbjt())
                .append("mxdbyfhkjtj", getMxdbyfhkjtj())
                .append("mxdlgl", getMxdlgl())
                .append("lpjzyc", getLpjzyc())
                .append("mjgj", getMjgj())
                .append("sxyc", getSxyc())
                .append("zlflqyc", getZlflqyc())
                .append("zndbtxyc", getZndbtxyc())
                .append("nbyjgl", getNbyjgl())
                .append("qdyc", getQdyc())
                .append("idct", getIdct())
                .append("xxgxctxvc", getXxgxctxvc())
                .append("bjtxxyc", getBjtxxyc())
                .append("tbctxvc", getTbctxvc())
                .append("zldhyc", getZldhyc())
                .append("lxgl", getLxgl())
                .append("zlzjcqyc", getZlzjcqyc())
                .append("ywgj", getYwgj())
                .append("bjtxyc", getBjtxyc())
                .append("hmictxyc", getHmictxyc())
                .append("jxszcw", getJxszcw())
                .append("hmi485txyc", getHmi485txyc())
                .append("yctxyc", getYctxyc())
                .append("gzz", getGzz())
                .append("gjz", getGjz())
                .append("zlblmsszcw", getZlblmsszcw())
                .append("xtcsbpp", getXtcsbpp())
                .append("dwdybphgj", getDwdybphgj())
                .append("ddycyyx", getDdycyyx())
                .append("gdycyyx", getGdycyyx())
                .append("zlfjyc", getZlfjyc())
                .append("srqwdkgwc", getSrqwdkgwc())
                .append("wbwdkgwc", getWbwdkgwc())
                .append("fybyqwdkgwc", getFybyqwdkgwc())
                .append("dgwdkgwc", getDgwdkgwc())
                .append("zjjdvc", getZjjdvc())
                .append("fjjdvc", getFjjdvc())
                .append("jljdvc", getJljdvc())
                .append("bwjdvc", getBwjdvc())
                .append("bmsjt", getBmsjt())
                .append("kkhrqyc", getKkhrqyc())
                .append("dwgqpdjgj", getDwgqpdjgj())
                .append("glmkgwgJ", getGlmkgwgJ())
                .append("dcgy", getDcgy())
                .append("dcqzqy", getDcqzqy())
                .append("zlgl", getZlgl())
                .append("scdyyc", getScdyyc())
                .append("scdybfhlwtj", getScdybfhlwtj())
                .append("gzbh", getGzbh())
                .append("dlbh", getDlbh())
                .append("nbfjyc", getNbfjyc())
                .append("zlbxsyc", getZlbxsyc())
                .append("dczzqy", getDczzqy())
                .append("dcdygj", getDcdygj())
                .append("wbfjyc", getWbfjyc())
                .append("dcfj", getDcfj())
                .append("dcdybfhcdtj", getDcdybfhcdtj())
                .append("gzgJ", getGzgJ())
                .append("zldhmktxyc", getZldhmktxyc())
                .append("bmsxtgz", getBmsxtgz())
                .append("bmstxyc", getBmstxyc())
                .append("bmsgjdyc", getBmsgjdyc())
                .append("bmsjc", getBmsjc())
                .append("bmsjf", getBmsjf())
                .append("bmsdj", getBmsdj())
                .append("bmsgj", getBmsgj())
                .append("dgfjyc", getDgfjyc())
                .append("srqgwgj", getSrqgwgj())
                .append("gzz2", getGzz2())
                .append("gjz2", getGjz2())
                .append("jlfjsmyc", getJlfjsmyc())
                .append("zlfjsmyc", getZlfjsmyc())
                .append("jlkgSmyc", getJlkgSmyc())
                .append("zlkgSmyc", getZlkgSmyc())
                .append("yljzyc", getYljzyc())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
